Debian Bug report logs - #339589
RM: polypaudio -- RoM; NPOASR; Dead upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Thu, 17 Nov 2005 11:33:04 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#339589; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Cc: polypaudio@packages.debian.org
Subject: ftp.debian.org: Please remove polypaudio
Date: Thu, 17 Nov 2005 12:19:45 +0100
Package: ftp.debian.org

Hi!

polypaudio is dead upstream for a year now. It was intended to be the
esound successor, but since it will not be used in Gnome upstream,
development ceased. Therefore it should not be shipped in a stable
Debian release which is supported for several years.

Otavio and I agreed to completely drop the package for now from both
testing and unstable.

Thanks!

Martin

-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org

In a world without walls and fences, who needs Windows and Gates?



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#339589; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 339589@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Martin Pitt <mpitt@debian.org>, 339589@bugs.debian.org
Cc: polypaudio@packages.debian.org, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: ftp.debian.org: Please remove polypaudio
Date: Mon, 21 Nov 2005 01:00:35 +0100
tags 339589 moreinfo
thanks

On Thu, Nov 17, 2005 at 12:19:45PM +0100, Martin Pitt wrote:
> Hi!
> 
> polypaudio is dead upstream for a year now. It was intended to be the
> esound successor, but since it will not be used in Gnome upstream,
> development ceased. Therefore it should not be shipped in a stable
> Debian release which is supported for several years.
> 
> Otavio and I agreed to completely drop the package for now from both
> testing and unstable.

gst-plugins0.8 still build-depends on it though. Shouldn't that package
first be fixed, or at least, a bug filed on it? Otherwise it'd instantly
become buggy.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#339589; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 339589@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, gst-plugins0.8@packages.debian.org
Cc: 339589@bugs.debian.org
Subject: Re: ftp.debian.org: Please remove polypaudio
Date: Mon, 21 Nov 2005 08:41:42 +0100
[Message part 1 (text/plain, inline)]
Hi!

Jeroen van Wolffelaar [2005-11-21  1:00 +0100]:
> > polypaudio is dead upstream for a year now. It was intended to be the
> > esound successor, but since it will not be used in Gnome upstream,
> > development ceased. Therefore it should not be shipped in a stable
> > Debian release which is supported for several years.
> > 
> > Otavio and I agreed to completely drop the package for now from both
> > testing and unstable.
> 
> gst-plugins0.8 still build-depends on it though. Shouldn't that package
> first be fixed, or at least, a bug filed on it? Otherwise it'd instantly
> become buggy.

Right, I wasn't aware that the Debian version still uses it. David,
Loic, can you please drop the polypaudio sink? We tried it in Ubuntu
for a while, but it has never really worked.

Thanks!

Martin
-- 
Martin Pitt              http://www.piware.de
Ubuntu Developer   http://www.ubuntulinux.org
Debian Developer        http://www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#339589; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #24 received at 339589@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 339589@bugs.debian.org
Subject: Re: ftp.debian.org: Please remove polypaudio
Date: Thu, 22 Dec 2005 18:46:16 +0100
[Message part 1 (text/plain, inline)]
Hi Jeroen!

Jeroen van Wolffelaar [2005-11-21  1:00 +0100]:
> On Thu, Nov 17, 2005 at 12:19:45PM +0100, Martin Pitt wrote:
> > Hi!
> > 
> > polypaudio is dead upstream for a year now. It was intended to be the
> > esound successor, but since it will not be used in Gnome upstream,
> > development ceased. Therefore it should not be shipped in a stable
> > Debian release which is supported for several years.
> > 
> > Otavio and I agreed to completely drop the package for now from both
> > testing and unstable.
> 
> gst-plugins0.8 still build-depends on it though. Shouldn't that package
> first be fixed, or at least, a bug filed on it? Otherwise it'd instantly
> become buggy.

The latest gst-plugins0.8 package drops the polypaudio backend now and
with it the build dependency. [1]

Thank you and have a merry christmas!

Martin

[1] http://packages.qa.debian.org/g/gst-plugins0.8/news/1.html

-- 
Martin Pitt        http://www.piware.de
Ubuntu Developer   http://www.ubuntu.com
Debian Developer   http://www.debian.org

In a world without walls and fences, who needs Windows and Gates?
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 339589-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 339589-close@bugs.debian.org
Cc: polypaudio@packages.debian.org, polypaudio@packages.qa.debian.org
Subject: Bug#339589: fixed
Date: Thu, 12 Jan 2006 05:58:32 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libpolyp-dev | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 libpolyp0 | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libpolyp0-glib2.0 | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libpolyp0-glib2.0-dev | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
polypaudio | 0.7+20050805-2 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
polypaudio-alsa | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
polypaudio-clients | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
polypaudio-x11 | 0.7+20050805-2 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 339589@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:54:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:37:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.